Package owl.ltl.tlsf

## Class Tlsf

- java.lang.Object
- - owl.ltl.tlsf.Tlsf

-     @Immutable
      public abstract class Tlsf
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Tlsf.Semantics` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Tlsf()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<Formula>` | `assert_()` |
    `Formula` | `assume()` |
    `protected void` | `check()` |
    `abstract String` | `description()` |
    `List<Formula>` | `guarantee()` |
    `Formula` | `initially()` |
    `abstract BitSet` | `inputs()` |
    `int` | `numberOfInputs()` |
    `abstract BitSet` | `outputs()` |
    `Formula` | `preset()` |
    `Formula` | `require()` |
    `abstract Tlsf.Semantics` | `semantics()` |
    `abstract Tlsf.Semantics` | `target()` |
    `abstract String` | `title()` |
    `List<LabelledFormula>` | `toAssertGuaranteeConjuncts()` |
    `LabelledFormula` | `toFormula()` |
    `abstract List<String>` | `variables()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Tlsf

          public Tlsf()

  - ### Method Detail

    - #### assert_

          @Default
          public List<Formula> assert_()

    - #### assume

          @Default
          public Formula assume()

    - #### description

          public abstract String description()

    - #### guarantee

          @Default
          public List<Formula> guarantee()

    - #### initially

          @Default
          public Formula initially()

    - #### inputs

          public abstract BitSet inputs()

    - #### outputs

          public abstract BitSet outputs()

    - #### variables

          public abstract List<String> variables()

    - #### preset

          @Default
          public Formula preset()

    - #### require

          @Default
          public Formula require()

    - #### semantics

          public abstract Tlsf.Semantics semantics()

    - #### target

          public abstract Tlsf.Semantics target()

    - #### title

          public abstract String title()

    - #### numberOfInputs

          @Derived
          public int numberOfInputs()

    - #### toFormula

          @Derived
          public LabelledFormula toFormula()

    - #### toAssertGuaranteeConjuncts

          @Derived
          public List<LabelledFormula> toAssertGuaranteeConjuncts()

    - #### check

          @Check
          protected void check()